include ../MCONFIG

CFLAGS += -I../include

OBJS=talkaddr.o ctlmsg.o

all: libtalk.a

%.o: %.c
	$(CC) $(CFLAGS) $< -c

libtalk.a: $(OBJS)
	ar -cruv $@ $^
	ranlib $@

install: ;
clean:
	rm -f *.o libtalk.a

talkaddr.o: ../include/talkaddr.h
ctlmsg.o: ../include/ctlmsg.h
